net.sf.jasperreports.engine.fill

## Class JRTemplateGraphicElement

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplateElement
  - - net.sf.jasperreports.engine.fill.JRTemplateGraphicElement

- All Implemented Interfaces:
    java.io.Serializable, Deduplicable, JRCommonElement, JRCommonGraphicElement, JRPenContainer, JRPropertiesHolder, JRStyleContainer
  Direct Known Subclasses:
    JRTemplateEllipse, JRTemplateImage, JRTemplateLine, JRTemplateRectangle

      public abstract class JRTemplateGraphicElement
      extends JRTemplateElement
      implements JRCommonGraphicElement

  Base class consisting of graphic print element information shared by multiple print element instances.
  Version:
    $Id: JRTemplateGraphicElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRPen` | `linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `defaultStyleProvider, origin, parentStyle`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRTemplateGraphicElement(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider)`
    `protected` | `JRTemplateGraphicElement(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRGraphicElement graphicElement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addGraphicHash(ObjectUtils.HashCode hash)`
    `void` | `copyLinePen(JRPen pen)` Copies `pen` attributes.
    `java.awt.Color` | `getDefaultLineColor()`
    `java.lang.Float` | `getDefaultLineWidth()`
    `FillEnum` | `getFillValue()` Indicates the fill type used for this element.
    `JRPen` | `getLinePen()`
    `FillEnum` | `getOwnFillValue()` Indicates the own fill type used for this element.
    `protected boolean` | `graphicIdentical(JRTemplateGraphicElement template)`
    `void` | `setFill(FillEnum fillValue)` Sets the fill type used for this element.
    `protected void` | `setGraphicElement(JRGraphicElement graphicElement)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `addTemplateHash, getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setStyle, templateIdentical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.Deduplicable

      `getHashCode, isIdentical`

- - ### Field Detail

    - #### linePen

          protected JRPen linePen

  - ### Constructor Detail

    - #### JRTemplateGraphicElement

          protected JRTemplateGraphicElement(JROrigin origin,
                                  JRDefaultStyleProvider defaultStyleProvider)

    - #### JRTemplateGraphicElement

          protected JRTemplateGraphicElement(JROrigin origin,
                                  JRDefaultStyleProvider defaultStyleProvider,
                                  JRGraphicElement graphicElement)

  - ### Method Detail

    - #### setGraphicElement

          protected void setGraphicElement(JRGraphicElement graphicElement)

    - #### copyLinePen

          public void copyLinePen(JRPen pen)

      Copies `pen` attributes.
      Parameters:
        `pen` - the object to copy the attributes from

    - #### getLinePen

          public JRPen getLinePen()

      Specified by:
        `getLinePen` in interface `JRCommonGraphicElement`

    - #### getFillValue

          public FillEnum getFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the fill type used for this element.
      Specified by:
        `getFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### getOwnFillValue

          public FillEnum getOwnFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the own fill type used for this element.
      Specified by:
        `getOwnFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### setFill

          public void setFill(FillEnum fillValue)

      Description copied from interface: `JRCommonGraphicElement`
      Sets the fill type used for this element.
      Specified by:
        `setFill` in interface `JRCommonGraphicElement`
      Parameters:
        `fillValue` - a value representing one of the line direction constants in `FillEnum`

    - #### getDefaultLineWidth

          public java.lang.Float getDefaultLineWidth()

      Specified by:
        `getDefaultLineWidth` in interface `JRPenContainer`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRPenContainer`

    - #### addGraphicHash

          protected void addGraphicHash(ObjectUtils.HashCode hash)

    - #### graphicIdentical

          protected boolean graphicIdentical(JRTemplateGraphicElement template)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com